diff -up amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/CMakeLists.txt.correct-lib-dir amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/CMakeLists.txt
--- amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/CMakeLists.txt.correct-lib-dir	2021-05-21 13:53:50.404128295 -0400
+++ amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/CMakeLists.txt	2021-05-21 13:57:16.179848608 -0400
@@ -3,6 +3,8 @@ set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_S
 include(Utilities)
 project(KinesisVideoProducerC LANGUAGES C)
 
+include(GNUInstallDirs)
+
 # User Flags
 option(ADD_MUCLIBC "Add -muclibc c flag" OFF)
 option(BUILD_STATIC "Static build" OFF)
@@ -258,12 +260,12 @@ if(BUILD_COMMON_LWS)
 
     install(
       TARGETS kvsCommonLws
-      ARCHIVE DESTINATION lib
-      LIBRARY DESTINATION lib
-      RUNTIME DESTINATION bin)
+      ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+      LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+      RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
     install(
       FILES ${CMAKE_CURRENT_BINARY_DIR}/libkvsCommonLws.pc
-      DESTINATION lib/pkgconfig)
+      DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
 endif()
 
 if(BUILD_COMMON_CURL)
@@ -281,12 +283,12 @@ if(BUILD_COMMON_CURL)
 
     install(
       TARGETS kvsCommonCurl
-      ARCHIVE DESTINATION lib
-      LIBRARY DESTINATION lib
-      RUNTIME DESTINATION bin)
+      ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+      LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+      RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
     install(
       FILES ${CMAKE_CURRENT_BINARY_DIR}/libkvsCommonCurl.pc
-      DESTINATION lib/pkgconfig)
+      DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
 
     configure_file(
       "${CMAKE_CURRENT_SOURCE_DIR}/libcproducer.pc.cmake"
@@ -306,12 +308,12 @@ if(BUILD_COMMON_CURL)
 
     install(
       TARGETS cproducer
-      ARCHIVE DESTINATION lib
-      LIBRARY DESTINATION lib
-      RUNTIME DESTINATION bin)
+      ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+      LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
+      RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")
     install(
       FILES ${CMAKE_CURRENT_BINARY_DIR}/libcproducer.pc
-      DESTINATION lib/pkgconfig)
+      DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
 
     add_executable(kvsVideoOnlyStreamingSample ${KINESIS_VIDEO_PRODUCER_C_SRC}/samples/KvsVideoOnlyStreamingSample.c)
     target_link_libraries(kvsVideoOnlyStreamingSample cproducer)
diff -up amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libcproducer.pc.cmake.correct-lib-dir amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libcproducer.pc.cmake
--- amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libcproducer.pc.cmake.correct-lib-dir	2021-05-21 13:57:28.063294452 -0400
+++ amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libcproducer.pc.cmake	2021-05-21 13:57:44.004892550 -0400
@@ -1,7 +1,7 @@
 prefix=@CMAKE_INSTALL_PREFIX@
 exec_prefix=${prefix}
 includedir=${prefix}/include
-libdir=${exec_prefix}/lib
+libdir=${exec_prefix}/@CMAKE_INSTALL_LIBDIR@
 
 Name: KVS-libcproducer
 Description: KVS C Producer library
diff -up amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libkvsCommonCurl.pc.cmake.correct-lib-dir amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libkvsCommonCurl.pc.cmake
--- amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libkvsCommonCurl.pc.cmake.correct-lib-dir	2021-05-21 13:57:56.921377152 -0400
+++ amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libkvsCommonCurl.pc.cmake	2021-05-21 13:58:45.863213356 -0400
@@ -1,7 +1,7 @@
 prefix=@CMAKE_INSTALL_PREFIX@
 exec_prefix=${prefix}
 includedir=${prefix}/include
-libdir=${exec_prefix}/lib
+libdir=${exec_prefix}/@CMAKE_INSTALL_LIBDIR@
 
 Name: KVS-libkvsCommonCurl
 Description: KVS C Producer common curl library
diff -up amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libkvsCommonLws.pc.cmake.correct-lib-dir amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libkvsCommonLws.pc.cmake
--- amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libkvsCommonLws.pc.cmake.correct-lib-dir	2021-05-21 13:59:00.298754950 -0400
+++ amazon-kinesis-video-streams-producer-c-a8091d1a140fbdcb260ba3c8302aa2e4712d2d91/libkvsCommonLws.pc.cmake	2021-05-21 13:59:07.900040136 -0400
@@ -1,7 +1,7 @@
 prefix=@CMAKE_INSTALL_PREFIX@
 exec_prefix=${prefix}
 includedir=${prefix}/include
-libdir=${exec_prefix}/lib
+libdir=${exec_prefix}/@CMAKE_INSTALL_LIBDIR@
 
 Name: KVS-libkvsCommonLws
 Description: KVS C Producer common libwebsockets library
